Subject: Re: [lojban] Re: Fwd: Lojban dictionary in TEI

From: Allan Bailey <[email-masked]>
Date: Thu, 02 May 2002 11:18:49 -0700

Pierre Abbat <[email-masked]> wrote:
>On Thursday 02 May 2002 13:11, Allan Bailey wrote:
>> So how about we import the gismu, cmavo, etc. into a DB with an interface
>> for editing? Then we could use something like XML-RPC to serve as a remote
>> interface.
>>
>> The only problem is the DB structure. The structure that I imagine is:
>>
>> word: [gismu/cmavo/fu'vla/...]
>> gloss:
>> place_structure:
>> synonyms_related_words:
>
>If it's a gismu, cmavo, or fu'ivla, it may se rafsi. Also, we'd like to have 
>glosses in various languages.

Excellent! This is the kind of iterative develpment that helps. :-)

new db structure:

word: [gismu/cmavo/fu'vla/...]
english-gloss:
esperanto-gloss:
...
<rodbau>-gloss:

place_structure:
synonyms_related_words:
rafsi:

>
>How should we implement the Rodbau->Lojban dictionaries?

>From the <rodbau>-gloss's? I'm not sure I understand.

--
.allan.